=== debian/changelog ===
mandos (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 15 Jan 2012 22:05:54 +0100

mandos (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 08 Jan 2012 11:17:20 +0100

mandos (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 01 Jan 2012 21:53:31 +0100

mandos (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (mandos-client/Depends): Added "initramfs-tools".
  * debian/mandos-client.README.Debian: Corrected mail address and adjust
                                        wording.
  * debian/rules (binary-common): Exclude new nework-hooks.d directory
                                  from dh_fixperms.
  * debian/mandos-client.README.Debian: Document network hook facility.
  * debian/mandos-client.docs (network-hooks.d): Added.
  * debian/mandos.dirs (var/lib/mandos): Added.
  * debian/mandos.postinst: Fix ownership of /var/lib/mandos.
  * debian/control (mandos/Depends): Added "python-gnupginterface".

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 01 Jan 2012 05:58:11 +0100

mandos (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Added "man".
  * debian/control (Conflicts): Changed to "Breaks:".
  * debian/copyright: Updated format.
  * debian/mandos-client.postinst: Use "set -e" instead of "#!/bin/sh -e".
  * debian/mandos-client.postrm: - '' -
  * debian/mandos.postinst: - '' -
  * debian/mandos.prerm: Consistent magic.

 -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 15 Oct 2011 18:18:52 +0200
