=== debian/changelog ===
mandos (1.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 20 May 2012 15:38:34 +0200

mandos (1.5.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Set Architecture to linux-any.  (Closes: #647670)

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 16:22:01 +0200

mandos (1.5.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "mandos FTBFS on buildds": add build-dependency on locales-all and
    pass LC_ALL to dh_auto_build to make sure we have and use the en_US.UTF-8
    locale for manpage creation.
    (Closes: #656178)

 -- gregor herrmann <gregoa@debian.org>  Tue, 31 Jan 2012 17:56:05 +0100
