=== debian/changelog ===
mandos (1.6.8-1build1) utopic; urgency=high

  * No change rebuild against gnutls28.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Aug 2014 23:09:35 +0100

mandos (1.6.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Source: mandos/Build-Depends-Indep): Since upstream
    now requires Python 2.7, depend on exactly the python2.7 package and
    all the Python 2.7 versions of the python modules.
    (Package: mandos/Depends): - '' - but still depend on python (>=2.7)
    and the generic versions of the Python modules; this is for mandos-ctl
    and mandos-monitor, both of which are compatible with Python 3, and
    use #!/usr/bin/python.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 06 Aug 2014 22:55:24 +0200

mandos (1.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 17 Jul 2014 05:22:45 +0200

mandos (1.6.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/mandos.postinst: Fix typo in comment.
  * debian/control (mandos/Recommends): Changed to "ssh-client | fping".
    (mandos-client/Recommends): New; set to "ssh".

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 13 Jul 2014 22:49:21 +0200

mandos (1.6.5-3) unstable; urgency=medium

  * debian/control (mandos-client/Depends): Add "dpkg-dev (>=1.16.0)";
    initramfs-tools-hook runs "dpkg-architecture -qDEB_HOST_MULTIARCH".
    (Closes: #750221)

 -- Teddy Hogeborn <teddy@recompile.se>  Fri, 06 Jun 2014 04:27:15 +0200

mandos (1.6.5-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_test-arch): New; does nothing.  Fixes
    FTBFS for build-indep.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 13 May 2014 08:08:31 +0200

mandos (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Change year to "2014".
  * debian/control (Build-Depends, Build-Depends-Indep): Moved build
    dependencies of "mandos" package to "Build-Depends-Indep".
  * debian/upstream/signing-key.asc: New; upstream source public key.
  * debian/control (Standards-Version): Updated to "3.9.5".
  * debian/control (mandos/Depends): Remove the dependency on
    "avahi-daemon (>= 0.6.31-3) | systemd-sysv".  It is unnecessary
    since we have a workaround in debian/mandos.postinst anyway.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 11 May 2014 22:16:33 +0200

mandos (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Add Python dependencies to
                                    successfully run self-tests.
  * debian/copyright: GPLv3 now has its own license file - use it.
  * debian/watch: Set PGP signature URL.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 16 Feb 2014 14:09:25 +0100

mandos (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Added "systemd".
  * debian/mandos.dirs (lib/systemd/system): New.
  * debian/mandos-client.README.Debian: Refer to architecture libdir.
  * debian/control (mandos/Depends): Add "avahi-daemon (>= 0.6.31-3) |
                                     systemd-sysv".
  * debian/mandos.postinst: If avahi-daemon is version 0.6.31-2 or older,
                            edit /etc/init.d script headers Required-Start
                            and Required-Stop to have "avahi" instead of
                            "avahi-daemon", before insserv(8) sees it.
  * debian/mandos-client.lintian-overrides: Libdir changes.
  * debian/rules (override_dh_fixperms): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 21 Jan 2014 22:01:30 +0100

mandos (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Changed to "9".
  * debian/control (Build-Depends): Changed debhelper version to (>= 9).
    (Standards-Version): Updated to "3.9.4".
    (DM-Upload-Allowed): Removed.
    (mandos/Depends): Add "initscripts (>= 2.88dsf-13.3)" to be able to
                      use the "/run" directory (for mandos.pid).
  * debian/copyright (Copyright): Update year.
  * Fix "Mandos/gnutls fails to establish connection, "an algorithm that
    is not enabled was negotiated"" fixed by upstream. (Closes: #702120)

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 24 Oct 2013 22:33:40 +0200

mandos (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control (mandos/Depends): No longer depends on
                                     python-gnupginterface, but does
                                     depend on gnupg (<< 2).
    (Build-Depends): Depend on debhelper 8.9.7 for using "override-*-arch"
                     and "override-*-indep" targets in debian/rules.
  * debian/mandos-client.README: Update Linux documentation link.
  * debian/rules: Completely rewritten to use debhelper v7.
  * initramfs-tools-hook: Bug fix: Make sure the right version of GnuPG is
    copied into the initramfs image.  Always assume that GPGME is used to
    avoid searching for it since the path might not be /usr/lib.  Thanks
    to Félix Sipma <felix+debian@gueux.org> for the initial bug report,
    and also thanks to Dick Middleton <dick@lingbrae.com> for some more
    debugging. (Closes:  #721903)
  * Fix "bashism in /bin/sh script" fixed by upstream. (Closes: #690639)

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 13 Oct 2013 19:03:23 +0200
