=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
+Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.3
+Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
+	python2.7-dbus, python2.7-avahi, python2.7-gobject
+Standards-Version: 3.9.5
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos
-DM-Upload-Allowed: yes
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python (>=2.6), python-gnutls, python-dbus,
-	python-avahi, python-gobject, avahi-daemon, adduser,
-	python-urwid, python (>=2.7) | python-argparse,
-	python-gnupginterface
-Recommends: fping
+Depends: ${misc:Depends}, python (>= 2.7), python2.7, python-gnutls,
+	python2.7-gnutls, python-dbus, python2.7-dbus, python-avahi,
+	python2.7-avahi, python-gobject, python2.7-gobject,
+	avahi-daemon, adduser, python-urwid, python2.7-urwid,
+	gnupg (<< 2), initscripts (>= 2.88dsf-13.3)
+Recommends: ssh-client | fping
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
@@ -38,7 +40,8 @@
 Package: mandos-client
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
-	gnupg (<< 2), initramfs-tools
+	gnupg (<< 2), initramfs-tools, dpkg-dev (>=1.16.0)
+Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)
 Enhances: cryptsetup
 Description: do unattended reboots with an encrypted root file system
